%global         gitrev  f14d948

Name:           silvia
Version:        0.2.2
Release:        0.6.%{gitrev}git%{?dist}
Summary:        SImple Library for the Verification and Issuance of Attributes


License:        BSD
URL:            https://github.com/credentials/silvia
# To generate: make a checkout, and execute
#  git archive -9 --format tgz -o silvia-%%{gitrev}.tar.gz --prefix=silvia-%%{version}/ %%{gitrev}
Source0:        silvia-%{gitrev}.tar.gz

BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel
%if 0%{?rhel}
# NFC is not around on RHEL, so let's skip that
%global     buildargs --without-nfc
%else
%global     buildargs --with-nfc
BuildRequires:  libnfc-devel
%endif
BuildRequires:  cppunit-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  gmp-devel


%description
SImple Library for the Verification and
Issuance of Attributes of IRMA cards (irmacard.org).


%package devel
Summary:        Devel files for silvia
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for the SILVIA library


%prep
%setup -q
./autogen.sh


%build
%configure %{buildargs}
make %{?_smp_mflags}


%install
%make_install
# This is taken from upstream by %%doc
rm -r %{buildroot}/%{_docdir}
# We need to remove this per packaging guidelines
rm %{buildroot}%{_libdir}/lib%{name}.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS README.md ChangeLog LICENSE
%{_bindir}/%{name}_issuer
%{_bindir}/%{name}_keygen
%{_bindir}/%{name}_loader
%{_bindir}/%{name}_verifier
%{_bindir}/%{name}_manager
%{_bindir}/%{name}_proxy
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jun 20 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.2.2-0.6.f14d948git
- Update to newest git commit
- This includes silvia_proxy

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-0.5.cd58090git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 11 2014 Patrick Uiterwijk (LOCAL) <puiterwijk@redhat.com> - 0.2.2-0.4.cd58090git
- Do not build NFC on RHEL

* Mon Mar 10 2014 Patrick Uiterwijk (LOCAL) <puiterwijk@redhat.com> - 0.2.2-0.3.cd58090git
- Update to newer release

* Fri Feb 28 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.2.2-0.2.c725a91git
- Update to newer release

* Sun Jan 12 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.2.2-0.1.01425e8git
- Primary packaging
